org.apache.any23.vocab

## Class Excel

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.Excel

-     public class Excel
      extends Vocabulary

  The MS Excel extractor vocabulary.
  Author:
    Michele Mostarda (mostarda@fbk.eu)
  See Also:
    `ExcelExtractor`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.eclipse.rdf4j.model.IRI` | `cell` This resource identifies a cell.
    `static String` | `CELL`
    `static String` | `CELL_VALUE`
    `org.eclipse.rdf4j.model.IRI` | `cellValue` This property links the identifier of a cell to the content of the cell.
    `static String` | `CONTAINS_CELL`
    `static String` | `CONTAINS_ROW`
    `static String` | `CONTAINS_SHEET`
    `org.eclipse.rdf4j.model.IRI` | `containsCell` This property links the identifier of a row to the identifier of a cell.
    `org.eclipse.rdf4j.model.IRI` | `containsRow` This property links the identifier of a sheet to the identifier of a row.
    `org.eclipse.rdf4j.model.IRI` | `containsSheet` This property links the identifier of a document to the identifier of a sheet.
    `static String` | `FIRST_CELL`
    `static String` | `FIRST_ROW`
    `org.eclipse.rdf4j.model.IRI` | `firstCell` This property links the identifier of a Row to the index of the first declared cell.
    `org.eclipse.rdf4j.model.IRI` | `firstRow` This property links the identifier of a Sheet to the index of the first declared row.
    `static String` | `LAST_CELL`
    `static String` | `LAST_ROW`
    `org.eclipse.rdf4j.model.IRI` | `lastCell` This property links the identifier of a Row to the index of the last declared cell.
    `org.eclipse.rdf4j.model.IRI` | `lastRow` This property links the identifier of a Sheet to the index of the last declared row.
    `static String` | `NS` The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `row` This resource identifies a row.
    `static String` | `ROW`
    `org.eclipse.rdf4j.model.IRI` | `sheet` This resource identifies a Sheet.
    `static String` | `SHEET`
    `static String` | `SHEET_NAME`
    `org.eclipse.rdf4j.model.IRI` | `sheetName` This property links the identifier of a Sheet to the name of the sheet.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.rdf4j.model.IRI` | `createProperty(String localName)`
    `org.eclipse.rdf4j.model.IRI` | `createResource(String localName)`
    `static Excel` | `getInstance()`

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHEET

          public static final String SHEET

      See Also:
        Constant Field Values

    - #### ROW

          public static final String ROW

      See Also:
        Constant Field Values

    - #### CELL

          public static final String CELL

      See Also:
        Constant Field Values

    - #### CONTAINS_SHEET

          public static final String CONTAINS_SHEET

      See Also:
        Constant Field Values

    - #### CONTAINS_ROW

          public static final String CONTAINS_ROW

      See Also:
        Constant Field Values

    - #### CONTAINS_CELL

          public static final String CONTAINS_CELL

      See Also:
        Constant Field Values

    - #### CELL_VALUE

          public static final String CELL_VALUE

      See Also:
        Constant Field Values

    - #### SHEET_NAME

          public static final String SHEET_NAME

      See Also:
        Constant Field Values

    - #### FIRST_ROW

          public static final String FIRST_ROW

      See Also:
        Constant Field Values

    - #### LAST_ROW

          public static final String LAST_ROW

      See Also:
        Constant Field Values

    - #### FIRST_CELL

          public static final String FIRST_CELL

      See Also:
        Constant Field Values

    - #### LAST_CELL

          public static final String LAST_CELL

      See Also:
        Constant Field Values

    - #### containsSheet

          public final org.eclipse.rdf4j.model.IRI containsSheet

      This property links the identifier of a document to the identifier of a sheet.

    - #### containsRow

          public final org.eclipse.rdf4j.model.IRI containsRow

      This property links the identifier of a sheet to the identifier of a row.

    - #### containsCell

          public final org.eclipse.rdf4j.model.IRI containsCell

      This property links the identifier of a row to the identifier of a cell.

    - #### sheetName

          public final org.eclipse.rdf4j.model.IRI sheetName

      This property links the identifier of a Sheet to the name of the sheet.

    - #### firstRow

          public final org.eclipse.rdf4j.model.IRI firstRow

      This property links the identifier of a Sheet to the index of the first declared row.

    - #### lastRow

          public final org.eclipse.rdf4j.model.IRI lastRow

      This property links the identifier of a Sheet to the index of the last declared row.

    - #### firstCell

          public final org.eclipse.rdf4j.model.IRI firstCell

      This property links the identifier of a Row to the index of the first declared cell.

    - #### lastCell

          public final org.eclipse.rdf4j.model.IRI lastCell

      This property links the identifier of a Row to the index of the last declared cell.

    - #### cellValue

          public final org.eclipse.rdf4j.model.IRI cellValue

      This property links the identifier of a cell to the content of the cell.

    - #### sheet

          public final org.eclipse.rdf4j.model.IRI sheet

      This resource identifies a Sheet.

    - #### row

          public final org.eclipse.rdf4j.model.IRI row

      This resource identifies a row.

    - #### cell

          public final org.eclipse.rdf4j.model.IRI cell

      This resource identifies a cell.

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static Excel getInstance()

    - #### createResource

          public org.eclipse.rdf4j.model.IRI createResource(String localName)

    - #### createProperty

          public org.eclipse.rdf4j.model.IRI createProperty(String localName)

      Parameters:
        `localName` -
      Returns:
        the new IRI instance.

Copyright © 2010–2019 The Apache Software Foundation. All rights reserved.